# TerraVisor

TerraVisor is a 3D visualization tool designed for rendering and exploring terrain data. It leverages OpenGL for high-performance rendering and provides users with interactive features to manipulate and visualize complex terrain models.

## Features

- **Real-Time Rendering**: Utilize the power of OpenGL for fast, real-time terrain visualization.
- **Interactive Tools**: Rotate, zoom, and pan the terrain model for detailed exploration.
- **Custom Shaders**: Supports custom GLSL shaders for advanced rendering effects.

## Installation

### Prerequisites

- **CMake**: Ensure CMake is installed on your system ([Download CMake](https://cmake.org/download/)).
- **GLEW and GLFW**: TerraVisor requires GLEW and GLFW for OpenGL context creation and management.

### Building from Source

1. **Clone the Repository**:

   ```bash
   git clone git@gitlab.yourserver.com:username/TerraVisor.git
   cd TerraVisor
   ```

2. **Build the Project**
   ```bash
   mkdir build && cd build
   cmake -DCMAKE_BUILD_TYPE=Release ..
   cmake --build .
   ```

3. **Run the Application:**

   Navigate to the build directory and run the executable:
     ```bash
   ./TerraVisor
   ```

## Acknowledgements

GLEW - OpenGL Extension Wrangler Library
GLFW - OpenGL Framework

## Contact
For questions or support, please reach out to Jack Christensen at <contact@jackmchristensen.com>