#include <GL/glew.h>
#include <GLFW/glfw3.h>
#include <iostream>

#include "scene.h"

int main(){
  if (!glfwInit()){
    std::cerr << "Failed to initialize GLFW" << std::endl;
    return -1;
  }

  GLFWwindow* window = glfwCreateWindow(800, 600, "TerraVisor", nullptr, nullptr);
  if(!window){
    std::cerr << "Failed to create GLFW window" << std::endl;
    glfwTerminate();
    return -1;
  }

  glfwMakeContextCurrent(window);
  glewExperimental = GL_TRUE;
  if(glewInit() != GLEW_OK){
    std::cerr << "Failed to initialize GLEW" << std::endl;
    return -1;
  }
  
  while (!glfwWindowShouldClose(window)){
    glClear(GL_COLOR_BUFFER_BIT);
    Scene::Idle();
    glfwSwapBuffers(window);
    glfwPollEvents();
  }

  glfwDestroyWindow(window);
  glfwTerminate();
  return 0;
}
